import { Router, type IRouter } from "express";
import healthRouter from "./health";
import setupRouter from "./setup";
import authRouter from "./auth";
import appsRouter from "./apps";
import servicesRouter from "./services";
import serviceOrdersRouter from "./service-orders";
import notificationsRouter from "./notifications";
import usersRouter from "./users";
import statsRouter from "./stats";
import storageRouter from "./storage";
import storageLocalUploadRouter from "./storage-local-upload";
import settingsRouter from "./settings";
import notesRouter from "./notes";
import groupsRouter from "./groups";
import rolesRouter from "./roles";
import auditRouter from "./audit";
import executiveMeetingsRouter from "./executive-meetings";
import pushRouter from "./push";
import systemRouter from "./system";

const router: IRouter = Router();

router.use(healthRouter);
router.use(setupRouter);
router.use(authRouter);
router.use(appsRouter);
router.use(servicesRouter);
router.use(serviceOrdersRouter);
router.use(notificationsRouter);
router.use(usersRouter);
router.use(statsRouter);
router.use(storageRouter);
router.use(storageLocalUploadRouter);
router.use(settingsRouter);
router.use(notesRouter);
router.use(groupsRouter);
router.use(rolesRouter);
router.use(auditRouter);
router.use(executiveMeetingsRouter);
router.use(pushRouter);
router.use(systemRouter);

export default router;
